/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.MmRipartizioneCaricoCcid;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;
import org.jooq.types.UInteger;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class MmRipartizioneCaricoCcidRecord extends UpdatableRecordImpl<MmRipartizioneCaricoCcidRecord> implements Record3<Long, Long, UInteger> {

    private static final long serialVersionUID = 2140573222;

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO_CCID.ID</code>.
     */
    public void setId(Long value) {
        set(0, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO_CCID.ID</code>.
     */
    public Long getId() {
        return (Long) get(0);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO_CCID.ID_RIPARTIZIONE_CARICO</code>.
     */
    public void setIdRipartizioneCarico(Long value) {
        set(1, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO_CCID.ID_RIPARTIZIONE_CARICO</code>.
     */
    public Long getIdRipartizioneCarico() {
        return (Long) get(1);
    }

    /**
     * Setter for <code>MM_RIPARTIZIONE_CARICO_CCID.ID_INVOICE_ITEM_TO_CCID</code>.
     */
    public void setIdInvoiceItemToCcid(UInteger value) {
        set(2, value);
    }

    /**
     * Getter for <code>MM_RIPARTIZIONE_CARICO_CCID.ID_INVOICE_ITEM_TO_CCID</code>.
     */
    public UInteger getIdInvoiceItemToCcid() {
        return (UInteger) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Long> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Long, Long, UInteger> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Long, Long, UInteger> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field1() {
        return MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Long> field2() {
        return MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID_RIPARTIZIONE_CARICO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<UInteger> field3() {
        return MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID.ID_INVOICE_ITEM_TO_CCID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long component2() {
        return getIdRipartizioneCarico();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UInteger component3() {
        return getIdInvoiceItemToCcid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Long value2() {
        return getIdRipartizioneCarico();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public UInteger value3() {
        return getIdInvoiceItemToCcid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoCcidRecord value1(Long value) {
        setId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoCcidRecord value2(Long value) {
        setIdRipartizioneCarico(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoCcidRecord value3(UInteger value) {
        setIdInvoiceItemToCcid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public MmRipartizioneCaricoCcidRecord values(Long value1, Long value2, UInteger value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached MmRipartizioneCaricoCcidRecord
     */
    public MmRipartizioneCaricoCcidRecord() {
        super(MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID);
    }

    /**
     * Create a detached, initialised MmRipartizioneCaricoCcidRecord
     */
    public MmRipartizioneCaricoCcidRecord(Long id, Long idRipartizioneCarico, UInteger idInvoiceItemToCcid) {
        super(MmRipartizioneCaricoCcid.MM_RIPARTIZIONE_CARICO_CCID);

        set(0, id);
        set(1, idRipartizioneCarico);
        set(2, idInvoiceItemToCcid);
    }
}
